Converters (OpenCV 3.4.2 Java documentation)
Date: 2019-04-14

org.opencv.utils

## Class Converters

- java.lang.Object
- - org.opencv.utils.Converters

-     public class Converters
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Converters()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `Mat_to_vector_char(Mat m, java.util.List<java.lang.Byte> bs)`
    `static void` | `Mat_to_vector_DMatch(Mat m, java.util.List<DMatch> matches)`
    `static void` | `Mat_to_vector_double(Mat m, java.util.List<java.lang.Double> ds)`
    `static void` | `Mat_to_vector_float(Mat m, java.util.List<java.lang.Float> fs)`
    `static void` | `Mat_to_vector_int(Mat m, java.util.List<java.lang.Integer> is)`
    `static void` | `Mat_to_vector_KeyPoint(Mat m, java.util.List<KeyPoint> kps)`
    `static void` | `Mat_to_vector_Mat(Mat m, java.util.List<Mat> mats)`
    `static void` | `Mat_to_vector_Point(Mat m, java.util.List<Point> pts)`
    `static void` | `Mat_to_vector_Point2d(Mat m, java.util.List<Point> pts)`
    `static void` | `Mat_to_vector_Point2f(Mat m, java.util.List<Point> pts)`
    `static void` | `Mat_to_vector_Point3(Mat m, java.util.List<Point3> pts)`
    `static void` | `Mat_to_vector_Point3d(Mat m, java.util.List<Point3> pts)`
    `static void` | `Mat_to_vector_Point3f(Mat m, java.util.List<Point3> pts)`
    `static void` | `Mat_to_vector_Point3i(Mat m, java.util.List<Point3> pts)`
    `static void` | `Mat_to_vector_Rect(Mat m, java.util.List<Rect> rs)`
    `static void` | `Mat_to_vector_Rect2d(Mat m, java.util.List<Rect2d> rs)`
    `static void` | `Mat_to_vector_uchar(Mat m, java.util.List<java.lang.Byte> us)`
    `static void` | `Mat_to_vector_vector_char(Mat m, java.util.List<java.util.List<java.lang.Byte>> llb)`
    `static void` | `Mat_to_vector_vector_DMatch(Mat m, java.util.List<MatOfDMatch> lvdm)`
    `static void` | `Mat_to_vector_vector_KeyPoint(Mat m, java.util.List<MatOfKeyPoint> kps)`
    `static void` | `Mat_to_vector_vector_Point(Mat m, java.util.List<MatOfPoint> pts)`
    `static void` | `Mat_to_vector_vector_Point2f(Mat m, java.util.List<MatOfPoint2f> pts)`
    `static void` | `Mat_to_vector_vector_Point3f(Mat m, java.util.List<MatOfPoint3f> pts)`
    `static Mat` | `vector_char_to_Mat(java.util.List<java.lang.Byte> bs)`
    `static Mat` | `vector_DMatch_to_Mat(java.util.List<DMatch> matches)`
    `static Mat` | `vector_double_to_Mat(java.util.List<java.lang.Double> ds)`
    `static Mat` | `vector_float_to_Mat(java.util.List<java.lang.Float> fs)`
    `static Mat` | `vector_int_to_Mat(java.util.List<java.lang.Integer> is)`
    `static Mat` | `vector_KeyPoint_to_Mat(java.util.List<KeyPoint> kps)`
    `static Mat` | `vector_Mat_to_Mat(java.util.List<Mat> mats)`
    `static Mat` | `vector_Point_to_Mat(java.util.List<Point> pts)`
    `static Mat` | `vector_Point_to_Mat(java.util.List<Point> pts, int typeDepth)`
    `static Mat` | `vector_Point2d_to_Mat(java.util.List<Point> pts)`
    `static Mat` | `vector_Point2f_to_Mat(java.util.List<Point> pts)`
    `static Mat` | `vector_Point3_to_Mat(java.util.List<Point3> pts, int typeDepth)`
    `static Mat` | `vector_Point3d_to_Mat(java.util.List<Point3> pts)`
    `static Mat` | `vector_Point3f_to_Mat(java.util.List<Point3> pts)`
    `static Mat` | `vector_Point3i_to_Mat(java.util.List<Point3> pts)`
    `static Mat` | `vector_Rect_to_Mat(java.util.List<Rect> rs)`
    `static Mat` | `vector_Rect2d_to_Mat(java.util.List<Rect2d> rs)`
    `static Mat` | `vector_uchar_to_Mat(java.util.List<java.lang.Byte> bs)`
    `static Mat` | `vector_vector_char_to_Mat(java.util.List<MatOfByte> lvb, java.util.List<Mat> mats)`
    `static Mat` | `vector_vector_DMatch_to_Mat(java.util.List<MatOfDMatch> lvdm, java.util.List<Mat> mats)`
    `static Mat` | `vector_vector_KeyPoint_to_Mat(java.util.List<MatOfKeyPoint> kps, java.util.List<Mat> mats)`
    `static Mat` | `vector_vector_Point_to_Mat(java.util.List<MatOfPoint> pts, java.util.List<Mat> mats)`
    `static Mat` | `vector_vector_Point2f_to_Mat(java.util.List<MatOfPoint2f> pts, java.util.List<Mat> mats)`
    `static Mat` | `vector_vector_Point3f_to_Mat(java.util.List<MatOfPoint3f> pts, java.util.List<Mat> mats)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Converters

          public Converters()

  - ### Method Detail

    - #### vector_Point_to_Mat

          public static Mat vector_Point_to_Mat(java.util.List<Point> pts)

    - #### vector_Point2f_to_Mat

          public static Mat vector_Point2f_to_Mat(java.util.List<Point> pts)

    - #### vector_Point2d_to_Mat

          public static Mat vector_Point2d_to_Mat(java.util.List<Point> pts)

    - #### vector_Point_to_Mat

          public static Mat vector_Point_to_Mat(java.util.List<Point> pts,
                                                int typeDepth)

    - #### vector_Point3i_to_Mat

          public static Mat vector_Point3i_to_Mat(java.util.List<Point3> pts)

    - #### vector_Point3f_to_Mat

          public static Mat vector_Point3f_to_Mat(java.util.List<Point3> pts)

    - #### vector_Point3d_to_Mat

          public static Mat vector_Point3d_to_Mat(java.util.List<Point3> pts)

    - #### vector_Point3_to_Mat

          public static Mat vector_Point3_to_Mat(java.util.List<Point3> pts,
                                                 int typeDepth)

    - #### Mat_to_vector_Point2f

          public static void Mat_to_vector_Point2f(Mat m,
                                                   java.util.List<Point> pts)

    - #### Mat_to_vector_Point2d

          public static void Mat_to_vector_Point2d(Mat m,
                                                   java.util.List<Point> pts)

    - #### Mat_to_vector_Point

          public static void Mat_to_vector_Point(Mat m,
                                                 java.util.List<Point> pts)

    - #### Mat_to_vector_Point3i

          public static void Mat_to_vector_Point3i(Mat m,
                                                   java.util.List<Point3> pts)

    - #### Mat_to_vector_Point3f

          public static void Mat_to_vector_Point3f(Mat m,
                                                   java.util.List<Point3> pts)

    - #### Mat_to_vector_Point3d

          public static void Mat_to_vector_Point3d(Mat m,
                                                   java.util.List<Point3> pts)

    - #### Mat_to_vector_Point3

          public static void Mat_to_vector_Point3(Mat m,
                                                  java.util.List<Point3> pts)

    - #### vector_Mat_to_Mat

          public static Mat vector_Mat_to_Mat(java.util.List<Mat> mats)

    - #### Mat_to_vector_Mat

          public static void Mat_to_vector_Mat(Mat m,
                                               java.util.List<Mat> mats)

    - #### vector_float_to_Mat

          public static Mat vector_float_to_Mat(java.util.List<java.lang.Float> fs)

    - #### Mat_to_vector_float

          public static void Mat_to_vector_float(Mat m,
                                                 java.util.List<java.lang.Float> fs)

    - #### vector_uchar_to_Mat

          public static Mat vector_uchar_to_Mat(java.util.List<java.lang.Byte> bs)

    - #### Mat_to_vector_uchar

          public static void Mat_to_vector_uchar(Mat m,
                                                 java.util.List<java.lang.Byte> us)

    - #### vector_char_to_Mat

          public static Mat vector_char_to_Mat(java.util.List<java.lang.Byte> bs)

    - #### vector_int_to_Mat

          public static Mat vector_int_to_Mat(java.util.List<java.lang.Integer> is)

    - #### Mat_to_vector_int

          public static void Mat_to_vector_int(Mat m,
                                               java.util.List<java.lang.Integer> is)

    - #### Mat_to_vector_char

          public static void Mat_to_vector_char(Mat m,
                                                java.util.List<java.lang.Byte> bs)

    - #### vector_Rect_to_Mat

          public static Mat vector_Rect_to_Mat(java.util.List<Rect> rs)

    - #### Mat_to_vector_Rect

          public static void Mat_to_vector_Rect(Mat m,
                                                java.util.List<Rect> rs)

    - #### vector_Rect2d_to_Mat

          public static Mat vector_Rect2d_to_Mat(java.util.List<Rect2d> rs)

    - #### Mat_to_vector_Rect2d

          public static void Mat_to_vector_Rect2d(Mat m,
                                                  java.util.List<Rect2d> rs)

    - #### vector_KeyPoint_to_Mat

          public static Mat vector_KeyPoint_to_Mat(java.util.List<KeyPoint> kps)

    - #### Mat_to_vector_KeyPoint

          public static void Mat_to_vector_KeyPoint(Mat m,
                                                    java.util.List<KeyPoint> kps)

    - #### vector_vector_Point_to_Mat

          public static Mat vector_vector_Point_to_Mat(java.util.List<MatOfPoint> pts,
                                                       java.util.List<Mat> mats)

    - #### Mat_to_vector_vector_Point

          public static void Mat_to_vector_vector_Point(Mat m,
                                                        java.util.List<MatOfPoint> pts)

    - #### Mat_to_vector_vector_Point2f

          public static void Mat_to_vector_vector_Point2f(Mat m,
                                                          java.util.List<MatOfPoint2f> pts)

    - #### vector_vector_Point2f_to_Mat

          public static Mat vector_vector_Point2f_to_Mat(java.util.List<MatOfPoint2f> pts,
                                                         java.util.List<Mat> mats)

    - #### Mat_to_vector_vector_Point3f

          public static void Mat_to_vector_vector_Point3f(Mat m,
                                                          java.util.List<MatOfPoint3f> pts)

    - #### vector_vector_Point3f_to_Mat

          public static Mat vector_vector_Point3f_to_Mat(java.util.List<MatOfPoint3f> pts,
                                                         java.util.List<Mat> mats)

    - #### vector_vector_KeyPoint_to_Mat

          public static Mat vector_vector_KeyPoint_to_Mat(java.util.List<MatOfKeyPoint> kps,
                                                          java.util.List<Mat> mats)

    - #### Mat_to_vector_vector_KeyPoint

          public static void Mat_to_vector_vector_KeyPoint(Mat m,
                                                           java.util.List<MatOfKeyPoint> kps)

    - #### vector_double_to_Mat

          public static Mat vector_double_to_Mat(java.util.List<java.lang.Double> ds)

    - #### Mat_to_vector_double

          public static void Mat_to_vector_double(Mat m,
                                                  java.util.List<java.lang.Double> ds)

    - #### vector_DMatch_to_Mat

          public static Mat vector_DMatch_to_Mat(java.util.List<DMatch> matches)

    - #### Mat_to_vector_DMatch

          public static void Mat_to_vector_DMatch(Mat m,
                                                  java.util.List<DMatch> matches)

    - #### vector_vector_DMatch_to_Mat

          public static Mat vector_vector_DMatch_to_Mat(java.util.List<MatOfDMatch> lvdm,
                                                        java.util.List<Mat> mats)

    - #### Mat_to_vector_vector_DMatch

          public static void Mat_to_vector_vector_DMatch(Mat m,
                                                         java.util.List<MatOfDMatch> lvdm)

    - #### vector_vector_char_to_Mat

          public static Mat vector_vector_char_to_Mat(java.util.List<MatOfByte> lvb,
                                                      java.util.List<Mat> mats)

    - #### Mat_to_vector_vector_char

          public static void Mat_to_vector_vector_char(Mat m,
                                                       java.util.List<java.util.List<java.lang.Byte>> llb)

Generated on Sun Apr 14 2019 09:17:52 MDT / OpenCV unknown